{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    (catppuccin-sddm.override {
      flavor = "mocha";
      font = "Noto Sans";
      fontSize = "9";
      background = "${../catppuccin_high.png}";
      loginBackground = true;
    })
  ];

  services.displayManager.sddm = {
    enable = true;
    theme = "catppuccin-mocha";
    autoNumlock = true; # Enable numlock at login # TODO doesn't work
    wayland.enable = true;
    package = pkgs.kdePackages.sddm;
  };
}
